petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCBDDCSetDofsSplittingLocal

Set index sets defining fields of the local subdomain matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDofsSplittingLocal(PC pc,PetscInt n_is, IS ISForDofs[])

Collective

### Input Parameters

| pc | - the preconditioning context
| n_is | - number of index sets defining the fields
| ISForDofs | - array of IS describing the fields in local ordering

### Notes

n_is should be the same among processes. Not all nodes need to be listed: unlisted nodes will belong to the complement field.

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages